Subject: [16ng] Re: WG Review: IP over IEEE 802.16 Networks (16ng)

From: Jari Arkko <[email-masked]>
Date: Wed, 03 May 2006 23:11:59 +0300

Some additional information regarding the proposal to
charter IP over 802.16 networks (16ng) WG:

In their initial review of the proposal, the IESG and IAB
were concerned that the charter suggests the standardization
of multiple different encapsulations for the same 
functionality. It is understood that this matches 
the different convergence sublayers defined in 802.16, 
that the characteristics of the link layers are outside
the domain of the IETF, and that the decisions about
these sublayers have already been taken. Nevertheless,
having multiple ways to provide the same functionality
is almost always harmful and not in the interests of
the Internet community or the proponents of the
technology in question.

I would like to suggest that the interested
parties use the review period to see if they
can come to an agreement on which encapsulation
(Ethernet or "raw IP" based) would be defined
as a Proposed Standard in 16ng, with the other
being defined as Informational.

Jari Arkko

---

From: Bob Hinden <[email-masked]>
Date: Wed, 3 May 2006 13:31:01 -0700

> the Internet community or the proponents of the

I also suggest that people active in these other groups take this  
feedback seriously see if it is possible to revisit this design.  I  
assume that having .16 work well with IP (v4 and v6) is an important  
goal and the current design does not achieve that.

Further, I think it might be useful for this w.g. to write a  
"multiple convergence sublayers consider harmful" document.

Bob

> _______________________________________________
> 16ng mailing list
> [email-masked]
> http://eeca16.sogang.ac.kr/mailman/listinfo/16ng

---

From: Soohong Daniel Park <[email-masked]>
Date: Thu, 04 May 2006 09:08:44 +0900

> being defined as Informational.

It is incumbent upon me to ensure that the IPCS is
a mandatory and EthernetCS is an optional in WiMAX.

Daniel (Soohong Daniel Park)
Mobile Convergence Laboratory, SAMSUNG Electronics.

---

From: Soohong Daniel Park <[email-masked]>
Date: Thu, 04 May 2006 10:06:55 +0900

> "multiple convergence sublayers consider harmful" document.

What you mean by multiple convergence sublayers ?
If multiple CSs are defined as a Proposed Standard Or
If multiple CSs are enabled on the 16 station/BS ?

If the latter, I don't think it is a harmful case althouth
it is not a general architecture. But I am open for more
opinion on that. Also, it can be described in the16ng 
deliverable as deployment&consideration if necessary.

Thanks,

---

From: Bob Hinden <[email-masked]>
Date: Thu, 4 May 2006 11:11:00 -0700

Daniel,

> deliverable as deployment&consideration if necessary.

I think the whole idea of having multiple ways of carrying IP traffic  
on .16 (e.g., multiple convergence sublayers) is a bad idea.  I think  
think this would be good feedback from the IETF to .16.  This is  
independent of if a IETF spec is PS or INFO.

Bob

---

From: gabriel montenegro <[email-masked]>
Date: Thu, 4 May 2006 20:14:12 -0700 (PDT)

I think this is the type of feedback and guidance that the IAB should give, and
the document ("multiple IP transport methods considered harmful") is a prime
candidate for an IAB document. Not that 802.16 was the first one to sin against
that future document. Ethernet did it, so did ATM. And sometimes the multiple
transports happen because of a desire to reduce layering, as in IP-over-ATM,
IP-over-SONET, IP-over-fiber, and it would be good to have some guidance for
future network designers.

-gabriel

> independent of if a IETF spec is PS or INFO.

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com

---

From: "Syam Madanapalli" <[email-masked]>
Date: Fri, 5 May 2006 09:12:58 +0530

802.16 just defines how to map certain higher layer PDUs to
802.16 connections. It just defines what fields in the higher
layer headers should be used to map to a connection. I do not
think 802.16 defines multiple ways of carrying IP traffic. Convergence
sublayer is just a look up table to map higher layer PDUs to an 802.16
connection.

- Syam

---

From: "Jeff Mandin" <[email-masked]>
Date: Thu, 11 May 2006 18:46:00 +0300

1. Some suggested changes to the charter text are below.  Hopefully
the propose d text will address some of the concerns raised by Russ
Housley and Thomas Narten.

2. Regarding the IPv4/v6-over-Eth-CS documents, I think that with eth
CS, IPv4 and IPv6 can and should be addressed in the same document.
Max, what do you think?

3. For each of these IP-over-foo-CS documents, the charter's
deliverable definition should require description of the applicability
of the "over-foo-CS" solution within an IP network (and maybe also
non-IP network).  eg. IPv4-over-eth-CS is applicable in an environment
where ARP broadcasts are acceptable - or where certain mitigations
against excessive broadcasts have been taken.

4. The "IP deployment over IEEE 802.16 Networks" work item is supposed
"to illustrate the IP deployment scenarios and considerations over
IEEE 802.16 networks based on the WiMAX and WiBro".....

I imagine the intent is to provide something along the lines of RFC
3314 for the mobile Wimax architecture.    If so, this is a good idea
- however this would really be "IP deployment over Wimax" and would
probably need coordination with Wimax Forum in order to be worthwhile.
As well the Wimax standards are not public currently.

- Jeff

Specific comments on the charter text:

> Description of Working Group:
>
> Broadband Wireless Access Networks address the inadequacies of low
> bandwidth wireless communication for user requirements such as high
> quality data/voice service, wide coverage, etc. The IEEE 802.16
> Working Group on Broadband Wireless Access Standards develops
> standards and recommended practices to support the development and
> deployment of Broadband Wireless Metropolitan Area Networks.
>
> Recently, the WiMAX Forum, and, in particular, its NWG (Network
> Working Group) is defining the IEEE 802.16 network architecture.
> Similarly, different standard bodies (e.g., WiBro-Wireless Broadband
> in Korea) are in the progress of defining network architecture based
> on IEEE 802.16.

Suggest changing this paragraph to:

  Recently, the WiMAX Forum as well as other standards bodies (eg.
  WiBro-Wireless Broadband in Korea) have been defining
  IEEE 802.16-based architectures for fixed networks (Wimax Forum ETG) and
   - distinctly - for mobile networks (Wimax Forum Network Working Group).
  Some of these standards are proprietary ie. as in 3GPP they may rely on
  non-IP mechanisms eg. for datagram forwarding.

> IEEE 802.16 is different from existing wireless access technologies
> such as IEEE 802.11 or 3G because of the existence of multiple
> Convergence Sublayers which makes the specification of IP over
> IEEE 802.16 non-trivial.

More detail here would clear up some of the recent questions.  So
suggest changing
this paragraph to:

IEEE 802.16 is different from fixed/nomadic-access-oriented IEEE
technologies such as IEEE 802.11 or IEEE 802.3ah in that it does not
include a rigid upper edge MAC service
interface.  Instead, it provides multiple "convergence sublayers" with the
assumption that the choice and configuration of the upper edge will be done
in accordance with the needs of a specific deployment environment
(which might be
DSL replacement, mobile access, 802.11 or CDMA backhaul etc.).  And unlike
3G or xDSL technologies, IEEE 802.16 is not part of an end-to-end
system definition.

> For example:

Change "For example:" to "Specifically:"

> immediately subsequent to network entry, an 802.16
> subscriber station has no capability whatsoever for data (as opposed
> to management) connectivity. Especially, in IP CS case, the criteria
> by which the Base Station (or other headend elements) set up the
> 802.16 MAC connections for data transport are not part of the 802.16
> standard, and depend on the type of data services being offered
> (e.g., the set up of link layer connections will be different
> or IPv4 and IPv6 services).

> Additionally - as IEEE 802.16 is a point-to-multipoint network -
> an 802.16 subscriber station is not capable of multicasting (e.g.,
> for neighbor discovery, ARP, IP multicasting services, etc.) or
> direct communication to the other nodes within the same subnet
> (prefix).

As subnet and prefix are IP concepts, they shouldn't really be used to
describe the
MAC capabilities.

So suggest changing the last line to:

 direct communication to the other nodes attached to the same base station.

> The principal objective of the 16ng working group is to specify the
> operation of IPv4 and IPv6 over IEEE 802.16, taking into account the
> IPv4, IPv6 and Ethernet Convergence Sublayers. The working group may
> issue recommendations to IEEE 802.16 aiming at improving support
> for IP.

>The scope of this working group is as follows (WG Deliverables);
>
> - Produce "16ng Problem Statement, Goal and Requirement" to identify the
> 16ng problem statement, goal and technical requirement of IP adoption
> over IEEE 802.16 along with 16ng related terminology to be used
> for the base guideline while defining solution frameworks. [Informational RFC]

Removing redundancy and adding detail:

- Produce "16ng Problem Statement, Goal and Requirement" to identify the
 specific gaps in the 802.16 MAC for IPv4/IPv6 support, describe
possible network
models (ie. point-to-point, broadcast etc.), and provide 16ng related
terminology
to be used for the base guideline while defining solution frameworks.
[Informational RFC]

> - Produce "IPv6 over IEEE 802.16 Networks in conjunction with IPv6 CS"
> to define IPv6 operation including the transmission of IPv6 over IEEE 802.16
> link, Neighbor Discovery Protocol, Stateful (DHCPv6) and Stateless Address
> Configuration, Broadcast, Multicast, etc. [Proposed Standard RFC]

> - Produce "IPv6 over IEEE 802.16 Networks in conjunction with Ethernet CS"
> to define IPv6 operation including the transmission of IPv6 over IEEE 802.16
> link, Neighbor Discovery Protocol, Stateful (DHCPv6) and Stateless Address
> Configuration, Broadcast, Multicast, etc. [Proposed Standard RFC]

> - Produce "IPv4 over IEEE 802.16 Networks in conjunction with IPv4 CS"
> to define IPv4 operation including the transmission of IPv4 over IEEE 802.16
> links, ARP operation, Stateful Address Configuration (DHCPv4), Broadcast,
> Multicast, etc [Proposed Standard RFC]
>
> - Produce "IPv4 over IEEE 802.16 Networks in conjunction with Ethernet CS"
> to define IPv4 operation including the transmission of IPv4 over IEEE 802.16
> links, ARP operation, Stateful Address Configuration (DHCPv4), Broadcast,
> Multicast, etc [Proposed Standard RFC]
>
> - Produce "IP deployment over IEEE 802.16 Networks" to illustrate the IP
> deployment scenarios and considerations over IEEE 802.16 networks based on
> the WiMAX and WiBro. [Informational RFC]
>
> 16ng will not initially consider other work items than the ones listed
> above; however, other works related to improved IP over 16ng may occur
> in other relevant WGs, and 16ng will participate and help coordinate
> with such efforts.
>
> This working group will take dual stack operation into account
> in its specifications, and reuse existing specifications whenever
> reasonable and possible.

---

From: Soohong Daniel Park <[email-masked]>
Date: Fri, 12 May 2006 01:23:57 +0900

Jeff - Glad to see your comments, it seems a bit late though..

Otheres are inline;

> Housley and Thomas Narten.

We will probably trim the charter. Let's see others opinion if any for a while.

> CS, IPv4 and IPv6 can and should be addressed in the same document.

Um...I talked with Max in Dallas for this aspect. We should
discuss it with ADs (and IAB) while revising the charter. 

> against excessive broadcasts have been taken.

No objection, however I prefer not to add any complex texts
in the charter. Rather, it can be described in each deliverable.

> As well the Wimax standards are not public currently.

RFC3314 is just for IPv6 stuff. This document will be IP deployment
over WiMAX and WiBro (I am saying 802.16 technically). Sure, we
are coordinating with WMF.
 
> Specific comments on the charter text:

Pls be patient for a while...!

---

From: Soohong Daniel Park <[email-masked]>
Date: Tue, 16 May 2006 04:45:23 +0900

> CS, IPv4 and IPv6 can and should be addressed in the same document.

Let me keep the deliverable as it is, we will be able to make
a concensus later whetner or not merging them.

> against excessive broadcasts have been taken.

Yes, applicability statement should be described among the deliverables.

> Specific comments on the charter text:

For off, thanks your good suggestions.

>> Description of Working Group:

<snipped>

>  non-IP mechanisms eg. for datagram forwarding.

Following the IESG comments, we trimmed this sentence as
simple as possible not including others SDO mention in 16ng
charter. So, if endurable, I prefer to keep the text as it is.
 
> include a rigid upper edge MAC service interface.  Instead, it provides 
> multiple "convergence sublayers" with the  assumption that the choice 
> and configuration of the upper edge will be done  in accordance with 
> the needs of a specific deployment environment  (which might be
> DSL replacement, mobile access, 802.11 or CDMA backhaul etc.).  
> And unlike 3G or xDSL technologies, IEEE 802.16 is not part of an 
> end-to-end system definition.

looks good. I will reuse your suggestion for the charter update.

> Change "For example:" to "Specifically:"

done.

<snipped> 

> direct communication to the other nodes attached to the same base station.

In principle, there is no any explicit difference, *same subnet (prefix)
has another implication though especially IPv6 implication. 
Here is a suggested change:

direct communication to the other nodes within the same subnet (prefix)

CHANGE TO:

direct communication to the other nodes attached to the same Base Station
within the same subnet (prefix).

<snipped>
 
> possible network models (ie. point-to-point, broadcast etc.), and provide 
> 16ng related terminology to be used for the base guideline while defining 
> solution frameworks. [Informational RFC]

looks good.

<snipped>

---

From: Jari Arkko <[email-masked]>
Date: Mon, 15 May 2006 23:18:36 +0300

>a concensus later whetner or not merging them.
Lets focus now on what functionality (and mandatory etc status) we
want to develop. There are different ways of packaging the same
content in different documents, and I'd like to give some freedom
for the eventual WG to decide what that packaging is. (Also, given
the short time we have until Wimax Forum wants to use a reference
to an RFC, it may be necessary to develop that part first, and
bundling it with the rest could cause it to miss the deadline.)

--Jari